be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDPARAMETERvalues

- java.lang.Object
- - java.lang.Enum<CDPARAMETERvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDPARAMETERvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDPARAMETERvalues>

      public enum CDPARAMETERvalues
      extends Enum<CDPARAMETERvalues>

  Java class for CD-PARAMETERvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-PARAMETERvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="weight"/>
           <enumeration value="height"/>
           <enumeration value="bmi"/>
           <enumeration value="sbp"/>
           <enumeration value="dbp"/>
           <enumeration value="pulsecharacter"/>
           <enumeration value="heartrate"/>
           <enumeration value="peakflow"/>
           <enumeration value="gpa"/>
           <enumeration value="headcircumference"/>
           <enumeration value="hipcircumference"/>
           <enumeration value="apgar"/>
           <enumeration value="katz"/>
           <enumeration value="belrai"/>
           <enumeration value="bloodsugar"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APGAR`
    `BELRAI`
    `BLOODSUGAR`
    `BMI`
    `DBP`
    `GPA`
    `HEADCIRCUMFERENCE`
    `HEARTRATE`
    `HEIGHT`
    `HIPCIRCUMFERENCE`
    `KATZ`
    `PEAKFLOW`
    `PULSECHARACTER`
    `SBP`
    `WEIGHT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDPARAMETERvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDPARAMETERvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDPARAMETERvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WEIGHT

          public static final CDPARAMETERvalues WEIGHT

    - #### HEIGHT

          public static final CDPARAMETERvalues HEIGHT

    - #### BMI

          public static final CDPARAMETERvalues BMI

    - #### SBP

          public static final CDPARAMETERvalues SBP

    - #### DBP

          public static final CDPARAMETERvalues DBP

    - #### PULSECHARACTER

          public static final CDPARAMETERvalues PULSECHARACTER

    - #### HEARTRATE

          public static final CDPARAMETERvalues HEARTRATE

    - #### PEAKFLOW

          public static final CDPARAMETERvalues PEAKFLOW

    - #### GPA

          public static final CDPARAMETERvalues GPA

    - #### HEADCIRCUMFERENCE

          public static final CDPARAMETERvalues HEADCIRCUMFERENCE

    - #### HIPCIRCUMFERENCE

          public static final CDPARAMETERvalues HIPCIRCUMFERENCE

    - #### APGAR

          public static final CDPARAMETERvalues APGAR

    - #### KATZ

          public static final CDPARAMETERvalues KATZ

    - #### BELRAI

          public static final CDPARAMETERvalues BELRAI

    - #### BLOODSUGAR

          public static final CDPARAMETERvalues BLOODSUGAR

  - ### Method Detail

    - #### values

          public static CDPARAMETERvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDPARAMETERvalues c : CDPARAMETERvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDPARAMETERvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDPARAMETERvalues fromValue(String v)

Connector Packaging PERSDIETICIAN 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.